Run Dashboard Card
curl --request POST \
--url https://dash.tinyanalytics.io/api/sites/{site}/dashboards/run-card \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "SELECT toStartOfInterval(timestamp, INTERVAL {{bucket}}) AS d, count() AS views FROM scoped_events GROUP BY d ORDER BY d",
"start_date": "2026-07-01",
"end_date": "2026-07-15",
"time_zone": "UTC",
"bucket": "day"
}
'import requests
url = "https://dash.tinyanalytics.io/api/sites/{site}/dashboards/run-card"
payload = {
"query": "SELECT toStartOfInterval(timestamp, INTERVAL {{bucket}}) AS d, count() AS views FROM scoped_events GROUP BY d ORDER BY d",
"start_date": "2026-07-01",
"end_date": "2026-07-15",
"time_zone": "UTC",
"bucket": "day"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
query: 'SELECT toStartOfInterval(timestamp, INTERVAL {{bucket}}) AS d, count() AS views FROM scoped_events GROUP BY d ORDER BY d',
start_date: '2026-07-01',
end_date: '2026-07-15',
time_zone: 'UTC',
bucket: 'day'
})
};
fetch('https://dash.tinyanalytics.io/api/sites/{site}/dashboards/run-card', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Run Dashboard Card
Executes one card’s scoped SQL under readonly caps, optionally windowed to a date range
POST
/
sites
/
{site}
/
dashboards
/
run-card
Run Dashboard Card
⌘I